Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSetup Class Reference
GoSdk

## Description

Represents a device configuration.

Inheritance diagram for GoSetup:

## Public Member Functions
kStatus | GoSensor_Flush (GoSensor sensor)
| Initiates a sensor configuration, model file, and transformation synchronization if modifications are present. More...
k64f | GoSetup_ActiveAreaHeight (GoSetup setup, GoRole role)
| Gets the active area height. More...
k64f | GoSetup_ActiveAreaHeightLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the ActiveAreaHeight setting. More...
k64f | GoSetup_ActiveAreaHeightLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the ActiveAreaHeight setting. More...
k64f | GoSetup_ActiveAreaLength (GoSetup setup, GoRole role)
| Gets the active area Length. More...
k64f | GoSetup_ActiveAreaLengthLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the ActiveAreaLength setting. More...
k64f | GoSetup_ActiveAreaLengthLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the ActiveAreaLength setting. More...
k64f | GoSetup_ActiveAreaWidth (GoSetup setup, GoRole role)
| Gets the active area width. More...
k64f | GoSetup_ActiveAreaWidthLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the ActiveAreaWidth setting. More...
k64f | GoSetup_ActiveAreaWidthLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the ActiveAreaWidth setting. More...
k64f | GoSetup_ActiveAreaX (GoSetup setup, GoRole role)
| Gets the active area x origin. More...
k64f | GoSetup_ActiveAreaXLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the ActiveAreaX setting. More...
k64f | GoSetup_ActiveAreaXLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the ActiveAreaX setting. More...
k64f | GoSetup_ActiveAreaY (GoSetup setup, GoRole role)
| Gets the active area Y. More...
k64f | GoSetup_ActiveAreaYLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the ActiveAreaY setting. More...
k64f | GoSetup_ActiveAreaYLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the ActiveAreaY setting. More...
k64f | GoSetup_ActiveAreaZ (GoSetup setup, GoRole role)
| Gets the active area z origin. More...
k64f | GoSetup_ActiveAreaZLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the ActiveAreaZ setting. More...
k64f | GoSetup_ActiveAreaZLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the ActiveAreaZ setting. More...
kStatus | GoSetup_AddExposureStep (GoSetup setup, GoRole role, k64f exposure)
| Adds an exposure step. More...
kStatus | GoSetup_AddPolygonCorner (GoSetup setup, GoPolygonCornerParameters *corner)
| Adds a corner parameters object to the collection of polygon corners for alignment. More...
GoAdvanced | GoSetup_Advanced (GoSetup setup, GoRole role)
| Gets the advanced acquisition module, used for advanced acquisition configuration. More...
kBool | GoSetup_AlignmentEncoderCalibrateEnabled (GoSetup setup)
| Gets the value of the post alignment encoder calibration setting. More...
GoAlignmentTarget | GoSetup_AlignmentStationaryTarget (GoSetup setup)
| Gets the target type used for stationary alignment calibration. More...
GoAlignmentTarget | GoSetup_AlignmentStationaryTargetOptionAt (GoSetup setup, kSize index)
| Gets the stationary alignment target option at the given index. More...
kSize | GoSetup_AlignmentStationaryTargetOptionCount (GoSetup setup)
| Gets the stationary alignment target option count. More...
GoAlignmentType | GoSetup_AlignmentType (GoSetup setup)
| Gets the type used for alignment calibration. More...
GoAlignmentType | GoSetup_AlignmentTypeOptionAt (GoSetup setup, kSize index)
| Gets the alignment type option at the given index. More...
kSize | GoSetup_AlignmentTypeOptionCount (GoSetup setup)
| Gets the alignment type option count. More...
kBool | GoSetup_AlignmentUsed (GoSetup setup)
| Indicates whether alignment can be used. More...
k64f | GoSetup_BackCameraExposure (GoSetup setup, GoRole role)
| Gets the back camera exposure value. More...
k64f | GoSetup_BackCameraExposureLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the back camera exposure setting. More...
k64f | GoSetup_BackCameraExposureLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the back camara exposure setting. More...
k32u | GoSetup_BackCameraHeight (GoSetup setup, GoRole role)
| Gets the camera region-of-interest height. More...
k32u | GoSetup_BackCameraUsed (GoSetup setup, GoRole role)
| Returns a boolean representing whether the back camera element is used. More...
k32u | GoSetup_BackCameraWidth (GoSetup setup, GoRole role)
| Gets the camera region-of-interest width. More...
k32u | GoSetup_BackCameraX (GoSetup setup, GoRole role)
| Gets the camera region-of-interest x origin. More...
k32u | GoSetup_BackCameraY (GoSetup setup, GoRole role)
| Gets the camera region-of-interest y origin. More...
GoAlignmentDegreesOfFreedom | GoSetup_BarDegreesOfFreedom (GoSetup setup)
| Gets the degrees of freedom used for bar alignment calibration. More...
GoAlignmentDegreesOfFreedom | GoSetup_BarDegreesOfFreedomOptionAt (GoSetup setup, kSize index)
| Gets the bar alignment degrees of freedom option at the given index. More...
kSize | GoSetup_BarDegreesOfFreedomOptionCount (GoSetup setup)
| Gets the degrees of freedom bar alignment target option count. More...
kBool | GoSetup_BarDegreesOfFreedomUsed (GoSetup setup)
| Indicates if the degrees of freedom for bar alignment can be modified by the user. More...
k64f | GoSetup_BarHeight (GoSetup setup)
| Gets the height of the bar used for travel calibration. More...
kSize | GoSetup_BarHoleCount (GoSetup setup)
| Gets the number of holes that are defined on the calibration bar. More...
kBool | GoSetup_BarHoleCountUsed (GoSetup setup)
| Indicates if the hole count can be modified by the user. More...
kSize | GoSetup_BarHoleCountValue (GoSetup setup)
| Gets the bar hole count system value. More...
k64f | GoSetup_BarHoleDiameter (GoSetup setup)
| Gets the diameter of holes that are defined on the calibration bar. More...
kBool | GoSetup_BarHoleDiameterUsed (GoSetup setup)
| Indicates if the hole diameter can be modified by the user. More...
k64f | GoSetup_BarHoleDistance (GoSetup setup)
| Gets the distance between holes that are defined on the calibration bar. More...
kBool | GoSetup_BarHoleDistanceUsed (GoSetup setup)
| Indicates if the hole distance can be modified by the user. More...
k64f | GoSetup_BarWidth (GoSetup setup)
| Gets the width of the bar used for travel calibration. More...
kStatus | GoSetup_ClearExposureSteps (GoSetup setup, GoRole role)
| Removes all exposure steps. More...
kStatus | GoSetup_ClearPolygonCorners (GoSetup setup)
| Clears all corner parameter objects from the collection of polygon corners for alignment. More...
k64f | GoSetup_DynamicExposureMax (GoSetup setup, GoRole role)
| Gets the maximum value for the Dynamic Exposure setting. More...
k64f | GoSetup_DynamicExposureMin (GoSetup setup, GoRole role)
| Gets the minimum value for the Dynamic Exposure setting. More...
kStatus | GoSetup_EnableAlignmentEncoderCalibrate (GoSetup setup, kBool enabled)
| Enables encoder calibration after alignment. More...
kStatus | GoSetup_EnableExternalInputZPulse (GoSetup setup, kBool enable)
| Sets the state of the external input triggered encoder Z-pulse feature. More...
kStatus | GoSetup_EnableFlickerFreeMode (GoSetup setup, kBool enable)
| Enables flicker reduction mode. More...
kStatus | GoSetup_EnableIndependentExposures (GoSetup setup, GoRole role, kBool enable)
| Enables independent exposures feature, i.e. More...
kStatus | GoSetup_EnableInputTrigger (GoSetup setup, kBool enable)
| Sets the input trigger enabled state. More...
kStatus | GoSetup_EnableIntensity (GoSetup setup, kBool enable)
| Enables profile intensity collection. More...
kStatus | GoSetup_EnableMaxFrameRate (GoSetup setup, kBool enable)
| Enables or disables operation at full frame rate (ignoring frame rate setting). More...
kStatus | GoSetup_EnableOcclusionReduction (GoSetup setup, kBool enable)
| Sets the occlusion reduction enabled state. More...
kStatus | GoSetup_EnablePreferMasterTimeEncoderEnabled (GoSetup setup, kBool enable)
| Sets the state of the Gets the state of the Master time encoder. More...
kStatus | GoSetup_EnableTemperatureSafety (GoSetup setup, kBool enable)
| Enables the temperature saftey of the sensor system. More...
kStatus | GoSetup_EnableTracking (GoSetup setup, GoRole role, kBool enable)
| Enables tracking. More...
kStatus | GoSetup_EnableTriggerGate (GoSetup setup, kBool enable)
| Sets the trigger gate feature. More...
k64f | GoSetup_EncoderSpacing (GoSetup setup)
| Gets the current encoder period for encoder-based triggering. More...
k64f | GoSetup_EncoderSpacingLimitMax (GoSetup setup)
| Constraint for the maximum valid value of the Encoder Period setting. More...
k64f | GoSetup_EncoderSpacingLimitMin (GoSetup setup)
| Constraint for the minimum valid value of the Encoder Period setting. More...
GoEncoderTriggerMode | GoSetup_EncoderTriggerMode (GoSetup setup)
| Gets the encoder trigger mode. More...
k64f | GoSetup_Exposure (GoSetup setup, GoRole role)
| Gets the exposure value. More...
k64f | GoSetup_ExposureLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the Exposure setting. More...
k64f | GoSetup_ExposureLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the Exposure setting. More...
GoExposureMode | GoSetup_ExposureMode (GoSetup setup, GoRole role)
| Gets the exposure mode. More...
GoExposureMode | GoSetup_ExposureModeOptionAt (GoSetup setup, GoRole role, kSize index)
| Gets the exposure mode option at the given index. More...
kSize | GoSetup_ExposureModeOptionCount (GoSetup setup, GoRole role)
| Gets the exposure mode option count. More...
k64f | GoSetup_ExposureStepAt (GoSetup setup, GoRole role, kSize index)
| Get the exposure step value specified by index. More...
kSize | GoSetup_ExposureStepCount (GoSetup setup, GoRole role)
| Get the number of exposure steps defined. More...
kBool | GoSetup_ExternalInputZPulseEnabled (GoSetup setup)
| Gets the state of the external input triggered encoder Z-pulse feature. More...
k32u | GoSetup_ExternalInputZPulseIndex (GoSetup setup)
| Gets the external input index for triggering encoder Z-pulse. More...
kBool | GoSetup_ExternalInputZPulseIndexAvailable (GoSetup setup)
| Reports whether or not the external input index for encoder z-pulse triggering is used. More...
kBool | GoSetup_FlickerFreeModeAvailable (GoSetup setup)
| Reports whether flicker free mode is available for use on this sensor. More...
kBool | GoSetup_FlickerFreeModeEnabled (GoSetup setup)
| Reports whether flicker free mode is enabled. More...
k64f | GoSetup_FrameDataRate (GoSetup setup)
| Reports the current frame rate of normal (range, profile, or surface) data. More...
k64f | GoSetup_FrameRate (GoSetup setup)
| Reports the currently configured frame rate. More...
k64f | GoSetup_FrameRateLimitMax (GoSetup setup)
| Constraint for the maximum valid value of the Frame Rate setting. More...
k64f | GoSetup_FrameRateLimitMin (GoSetup setup)
| Constraint for the minimum valid value of the Frame Rate setting. More...
k64f | GoSetup_FrontCameraExposure (GoSetup setup, GoRole role)
| Gets the front camera exposure value. More...
k64f | GoSetup_FrontCameraExposureLimitMax (GoSetup setup, GoRole role)
| Gets the maximum valid value for the front camera exposure setting. More...
k64f | GoSetup_FrontCameraExposureLimitMin (GoSetup setup, GoRole role)
| Gets the minimum valid value for the front camara exposure setting. More...
k32u | GoSetup_FrontCameraHeight (GoSetup setup, GoRole role)
| Gets the camera region-of-interest height. More...
k32u | GoSetup_FrontCameraWidth (GoSetup setup, GoRole role)
| Gets the camera region-of-interest width. More...
k32u | GoSetup_FrontCameraX (GoSetup setup, GoRole role)
| Gets the camera region-of-interest x origin. More...
k32u | GoSetup_FrontCameraY (GoSetup setup, GoRole role)
| Gets the camera region-of-interest y origin. More...
kBool | GoSetup_IndependentExposuresEnabled (GoSetup setup, GoRole role)
| Determines if independent exposures feature is enabled. More...
kBool | GoSetup_IndependentExposuresUsed (GoSetup setup, GoRole role)
| Returns a boolean value representing the state of the independent exposures used field. More...
kBool | GoSetup_InputTriggerEnabled (GoSetup setup)
| Gets the input trigger enabled state. More...
kBool | GoSetup_InputTriggerEnabledSystemValue (GoSetup setup)
| Gets the input trigger system value. More...
kBool | GoSetup_InputTriggerEnabledUsed (GoSetup setup)
| Returns a boolean representing whether the user input trigger configuration is used. More...
kBool | GoSetup_IntensityEnabled (GoSetup setup)
| Reports whether the profile intensity collection is enabled. More...
GoIntensityMode | GoSetup_IntensityMode (GoSetup setup, GoRole role)
| Gets the intensity data generation mode. More...
kBool | GoSetup_IntensityModeUsed (GoSetup setup, GoRole role)
| Gets the availability of the intensity mode property. More...
GoIntensitySource | GoSetup_IntensitySource (GoSetup setup, GoRole role)
| Gets the source used for generating intensity data. More...
GoIntensitySource | GoSetup_IntensitySourceOptionAt (GoSetup setup, GoRole role, kSize index)
| Gets the intensity source option at the given index. More...
kSize | GoSetup_IntensitySourceOptionCount (GoSetup setup, GoRole role)
| Gets the intensity source option count. More...
kSize | GoSetup_IntensityStepIndex (GoSetup setup, GoRole role)
| Gets the intensity step index. More...
k64u | GoSetup_LaserIdleTime (GoSetup setup)
| This API is experimental and may change in a future release Gets the idle time before laser deactivation. More...
kBool | GoSetup_LaserSleepModeEnabled (GoSetup setup)
| This API is experimental and may change in a future release Gets the laser sleep mode enabled state. More...
kBool | GoSetup_LaserSleepUsed (GoSetup setup)
| This API is experimental and may change in a future release Gets the laser sleep mode used value. More...
k64u | GoSetup_LaserWakeupEncoderTravel (GoSetup setup)
| This API is experimental and may change in a future release Gets the encoder wakeup travel distance. More...
GoLayout | GoSetup_Layout (GoSetup setup)
| Gets the layout configuration module. More...
k32s | GoSetup_LayoutGridColumnSystemValue (GoSetup setup, GoRole role)
| Gets layout grid column index. More...
k32s | GoSetup_LayoutGridDirectionSystemValue (GoSetup setup, GoRole role)
| Gets layout grid direction. More...
k32s | GoSetup_LayoutGridRowSystemValue (GoSetup setup, GoRole role)
| Gets layout grid row index. More...
kBool | GoSetup_LayoutGridUsed (GoSetup setup, GoRole role)
| Gets layout grid used state. More...
k32s | GoSetup_LayoutMultiplexingBank (GoSetup setup, GoRole role)
| Gets Multiplex bank used state. More...
kBool | GoSetup_LayoutMultiplexingBankUsed (GoSetup setup, GoRole role)
| Gets Multiplex bank used state. More...
GoMaterial | GoSetup_Material (GoSetup setup, GoRole role)
kBool | GoSetup_MaxFrameRateEnabled (GoSetup setup)
| Reports whether or not system is configured to operate at full frame rate. More...
GoOcclusionReductionAlg | GoSetup_OcclusionReductionAlg (GoSetup setup)
| Gets the occlusion reduction algorithm. More...
kBool | GoSetup_OcclusionReductionAlgUsed (GoSetup setup)
| Returns a boolean representing whether the user occlusion reduction algorithm is used. More...
kBool | GoSetup_OcclusionReductionEnabled (GoSetup setup)
| Gets the occlusion reduction enabled state. More...
kBool | GoSetup_OcclusionReductionEnabledSystemValue (GoSetup setup)
| Gets the occlusion reduction system value. More...
kBool | GoSetup_OcclusionReductionEnabledUsed (GoSetup setup)
| Returns a boolean representing whether the user occlusion reduction configuration is used. More...
GoPartDetection | GoSetup_PartDetection (GoSetup setup)
| Gets the part detection module, used for part detection configuration. More...
GoPartMatching | GoSetup_PartMatching (GoSetup setup)
| Gets the part matching module, used for part matching configuration. More...
kSize | GoSetup_PatternSequenceCount (GoSetup setup, GoRole role)
| Gets the current pattern sequence count. More...
GoPatternSequenceType | GoSetup_PatternSequenceType (GoSetup setup, GoRole role)
| Gets the pattern sequence type. More...
GoPatternSequenceType | GoSetup_PatternSequenceTypeOptionAt (GoSetup setup, GoRole role, kSize index)
| Gets the pattern sequence type option at the given index. More...
kSize | GoSetup_PatternSequenceTypeOptionCount (GoSetup setup, GoRole role)
| Gets the pattern sequence type option count. More...
kBool | GoSetup_PatternSequenceTypeUsed (GoSetup setup, GoRole role)
| Returns a boolean value representing whether the pattern sequence type is used. More...
k64f | GoSetup_PlateHeight (GoSetup setup)
| Gets the height of the plate used for travel calibration. More...
kSize | GoSetup_PlateHoleCount (GoSetup setup)
| Gets the number of holes that are defined on the calibration plate. More...
k64f | GoSetup_PlateRefHoleDiameter (GoSetup setup)
| Gets the diameter of the reference hole defined on the calibration plate. More...
k64f | GoSetup_PlateSecHoleDiameter (GoSetup setup)
| Gets the diameter of the secondary hole defined on the calibration plate. More...
GoPolygonCornerParameters * | GoSetup_PolygonCornerAt (GoSetup setup, kSize index)
| Retrieves the reference to the corner parameters object from the collection of polygon corners. More...
kSize | GoSetup_PolygonCornerCount (GoSetup setup)
| Gets the number of corner parameters defined in the collection of polygon corners. More...
kBool | GoSetup_PreferMasterTimeEncoderEnabled (GoSetup setup)
| Gets the state of the Master time encoder. More...
GoProfileGeneration | GoSetup_ProfileGeneration (GoSetup setup)
| Gets the profile generation module, used for profile generation configuration. More...
k64f | GoSetup_ReversalDistance (GoSetup setup)
| This API is experimental and may change in a future release Gets the encoder reversal distance threshold. More...
kBool | GoSetup_ReversalDistanceAutoEnabled (GoSetup setup)
| This API is experimental and may change in a future release Returns whether or not auto encoder reversal distance is enabled. More...
kBool | GoSetup_ReversalDistanceAutoEnabledUsed (GoSetup setup)
| This API is experimental and may change in a future release Returns whether or not auto encoder reversal distance can be enabled. More...
k64f | GoSetup_ReversalDistanceSystemValue (GoSetup setup)
| This API is experimental and may change in a future release Gets the encoder reversal distance threshold system value. More...
kBool | GoSetup_ReversalDistanceUsed (GoSetup setup)
| This API is experimental and may change in a future release Gets the encoder reversal distance threshold used value. More...
GoMode | GoSetup_ScanMode (GoSetup setup)
| Gets the scan mode. More...
GoMode | GoSetup_ScanModeOptionAt (GoSetup setup, kSize index)
| Gets the scan mode option at the specified index. More...
kSize | GoSetup_ScanModeOptionCount (GoSetup setup)
| Gets the scan mode option count. More...
GoSections | GoSetup_Sections (GoSetup setup)
| Gets the Section configuration module, used for surface sections. More...
kStatus | GoSetup_SetActiveAreaHeight (GoSetup setup, GoRole role, k64f value)
| Sets the active area height. More...
kStatus | GoSetup_SetActiveAreaLength (GoSetup setup, GoRole role, k64f value)
| Sets the active area Length. More...
kStatus | GoSetup_SetActiveAreaWidth (GoSetup setup, GoRole role, k64f value)
| Sets the active area width. More...
kStatus | GoSetup_SetActiveAreaX (GoSetup setup, GoRole role, k64f value)
| Sets the active area x origin. More...
kStatus | GoSetup_SetActiveAreaY (GoSetup setup, GoRole role, k64f value)
| Sets the active area Y. More...
kStatus | GoSetup_SetActiveAreaZ (GoSetup setup, GoRole role, k64f value)
| Sets the active area z origin. More...
kStatus | GoSetup_SetAlignmentStationaryTarget (GoSetup setup, GoAlignmentTarget target)
| Sets the target type used for stationary alignment calibration. More...
kStatus | GoSetup_SetAlignmentType (GoSetup setup, GoAlignmentType type)
| Sets the type used for alignment. More...
kStatus | GoSetup_SetBackCameraExposure (GoSetup setup, GoRole role, k64f exposure)
| Sets the back camera exposure value. More...
kStatus | GoSetup_SetBarDegreesOfFreedom (GoSetup setup, GoAlignmentDegreesOfFreedom dof)
| Sets the degrees of freedom used for bar alignment calibration. More...
kStatus | GoSetup_SetBarHeight (GoSetup setup, k64f height)
| Sets the height of the bar used for travel calibration. More...
kStatus | GoSetup_SetBarHoleCount (GoSetup setup, kSize count)
| Sets the number of holes that are defined on the calibration bar. More...
kStatus | GoSetup_SetBarHoleDiameter (GoSetup setup, k64f diameter)
| Sets the diameter of holes that are defined on the calibration bar. More...
kStatus | GoSetup_SetBarHoleDistance (GoSetup setup, k64f distance)
| Sets the distance between holes that are defined on the calibration bar. More...
kStatus | GoSetup_SetBarWidth (GoSetup setup, k64f width)
| Sets the width of the bar used for travel calibration. More...
kStatus | GoSetup_SetDynamicExposureMax (GoSetup setup, GoRole role, k64f exposure)
| Sets the maximum value for the Dynamic Exposure setting. More...
kStatus | GoSetup_SetDynamicExposureMin (GoSetup setup, GoRole role, k64f exposure)
| Sets the minimum value for the Dynamic Exposure setting. More...
kStatus | GoSetup_SetEncoderSpacing (GoSetup setup, k64f period)
| Sets the current encoder period for encoder-based triggering. More...
kStatus | GoSetup_SetEncoderTriggerMode (GoSetup setup, GoEncoderTriggerMode mode)
| Sets the encoder trigger mode. More...
kStatus | GoSetup_SetExposure (GoSetup setup, GoRole role, k64f exposure)
| Sets the exposure value. More...
kStatus | GoSetup_SetExposureMode (GoSetup setup, GoRole role, GoExposureMode mode)
| Sets the exposure mode. More...
kStatus | GoSetup_SetExternalInputZPulseIndex (GoSetup setup, k32u index)
| Sets the external input index for triggering encoder Z-pulse. More...
kStatus | GoSetup_SetFrameRate (GoSetup setup, k64f frameRate)
| Sets the current frame rate for time-based triggering. More...
kStatus | GoSetup_SetFrontCameraExposure (GoSetup setup, GoRole role, k64f exposure)
| Sets the front camera exposure value. More...
kStatus | GoSetup_SetIntensityMode (GoSetup setup, GoRole role, GoIntensityMode mode)
| Sets the intensity data generation mode. More...
kStatus | GoSetup_SetIntensitySource (GoSetup setup, GoRole role, GoIntensitySource source)
| Sets the source to be used for generating intensity data. More...
kStatus | GoSetup_SetIntensityStepIndex (GoSetup setup, GoRole role, kSize index)
| Sets the intensity step index. More...
kStatus | GoSetup_SetLaserIdleTime (GoSetup setup, k64u time)
| This API is experimental and may change in a future release Sets the time before the laser deactivates. More...
kStatus | GoSetup_SetLaserSleepModeEnabled (GoSetup setup, kBool enable)
| This API is experimental and may change in a future release Enables laser sleep mode. More...
kStatus | GoSetup_SetLaserWakeupEncoderTravel (GoSetup setup, k64u distance)
| This API is experimental and may change in a future release Sets the encoder wakeup travel distance. More...
kStatus | GoSetup_SetOcclusionReductionAlg (GoSetup setup, GoOcclusionReductionAlg alg)
| Sets the occlusion reduction algorithm. More...
kStatus | GoSetup_SetPatternSequenceType (GoSetup setup, GoRole role, GoPatternSequenceType type)
| Sets the pattern sequence type. More...
kStatus | GoSetup_SetPlateHeight (GoSetup setup, k64f height)
| Sets the height of the plate used for travel calibration. More...
kStatus | GoSetup_SetPlateHoleCount (GoSetup setup, kSize count)
| Sets the number of holes that are defined on the calibration plate. More...
kStatus | GoSetup_SetPlateRefHoleDiameter (GoSetup setup, k64f diameter)
| Sets the diameter of the reference hole defined on the calibration plate. More...
kStatus | GoSetup_SetPlateSecHoleDiameter (GoSetup setup, k64f diameter)
| Sets the diameter of the secondary hole defined on the calibration plate. More...
kStatus | GoSetup_SetReversalDistance (GoSetup setup, k64f threshold)
| This API is experimental and may change in a future release Sets the encoder reversal distance threshold. More...
kStatus | GoSetup_SetReversalDistanceAutoEnabled (GoSetup setup, kBool enabled)
| This API is experimental and may change in a future release Enables or disables auto encoder reversal distance. More...
kStatus | GoSetup_SetScanMode (GoSetup setup, GoMode mode)
| Sets the scan mode. More...
kStatus | GoSetup_SetSpacingInterval (GoSetup setup, GoRole role, k64f value)
| Sets the spacing interval. More...
kStatus | GoSetup_SetSpacingIntervalType (GoSetup setup, GoRole role, GoSpacingIntervalType type)
| Sets the spacing interval type. More...
kStatus | GoSetup_SetTrackingAreaHeight (GoSetup setup, GoRole role, k64f height)
| Sets the tracking window height. More...
kStatus | GoSetup_SetTrackingSearchThreshold (GoSetup setup, GoRole role, k64f threshold)
| Sets the tracking window search threshold. More...
kStatus | GoSetup_SetTriggerBurstCount (GoSetup setup, k32u count)
| This API is experimental and may change in a future release Sets the trigger burst count. More...
kStatus | GoSetup_SetTriggerBurstEnabled (GoSetup setup, kBool enable)
| This API is experimental and may change in a future release Enables the trigger burst. More...
kStatus | GoSetup_SetTriggerDelay (GoSetup setup, k64f delay)
| Sets the trigger delay. More...
kStatus | GoSetup_SetTriggerExternalInputIndex (GoSetup setup, k32s index)
| Sets the external input index to trigger profile/surface capturing. More...
kStatus | GoSetup_SetTriggerSource (GoSetup setup, GoTrigger source)
| Sets the trigger source for profile triggering. More...
kStatus | GoSetup_SetTriggerUnit (GoSetup setup, GoTriggerUnits unit)
| Sets the system trigger units. More...
kStatus | GoSetup_SetXSubsampling (GoSetup setup, GoRole role, k32u xSubsampling)
| Sets the current x-resolution divider. More...
kStatus | GoSetup_SetZSubsampling (GoSetup setup, GoRole role, k32u zSubsampling)
| Sets the current z-resolution divider. More...
k64f | GoSetup_SpacingInterval (GoSetup setup, GoRole role)
| Gets the spacing interval. More...
k64f | GoSetup_SpacingIntervalLimitMax (GoSetup setup, GoRole role)
| Gets the spacing interval value limit maximum. More...
k64f | GoSetup_SpacingIntervalLimitMin (GoSetup setup, GoRole role)
| Gets the spacing interval value limit minimum. More...
k64f | GoSetup_SpacingIntervalSystemValue (GoSetup setup, GoRole role)
| Gets the spacing interval system value. More...
GoSpacingIntervalType | GoSetup_SpacingIntervalType (GoSetup setup, GoRole role)
| Gets the spacing interval type. More...
kBool | GoSetup_SpacingIntervalTypeUsed (GoSetup setup, GoRole role)
| Gets the system value representing whether or not the user specified spacing interval type setting is being used at the moment. More...
kBool | GoSetup_SpacingIntervalUsed (GoSetup setup, GoRole role)
| Returns the state of whether the user specified spacing interval is used. More...
GoSurfaceGeneration | GoSetup_SurfaceGeneration (GoSetup setup)
| Gets the surface generation module, used for surface generation configuration. More...
GoTracheid | GoSetup_Tracheid (GoSetup setup, GoRole role)
| Gets the tracheid configuration module. More...
k64f | GoSetup_TracheidRate (GoSetup setup)
| Reports the current frame rate of Tracheid data. More...
k64f | GoSetup_TrackingAreaHeight (GoSetup setup, GoRole role)
| Gets the tracking window height. More...
k64f | GoSetup_TrackingAreaHeightLimitMax (GoSetup setup, GoRole role)
| Gets the tracking window height maximum limit. More...
k64f | GoSetup_TrackingAreaHeightLimitMin (GoSetup setup, GoRole role)
| Gets the tracking window height minimum limit. More...
kBool | GoSetup_TrackingEnabled (GoSetup setup, GoRole role)
| Determines if tracking is enabled. More...
k64f | GoSetup_TrackingSearchThreshold (GoSetup setup, GoRole role)
| Gets the tracking window search threshold. More...
kBool | GoSetup_TrackingUsed (GoSetup setup, GoRole role)
| Returns a boolean value representing whether the Tracking Enabled field is used. More...
k64f | GoSetup_TransformedDataRegionHeight (GoSetup setup, GoRole role)
| Gets the transformed data region height value. More...
k64f | GoSetup_TransformedDataRegionLength (GoSetup setup, GoRole role)
| Gets the transformed data region length value. More...
k64f | GoSetup_TransformedDataRegionWidth (GoSetup setup, GoRole role)
| Gets the transformed data region width value. More...
k64f | GoSetup_TransformedDataRegionX (GoSetup setup, GoRole role)
| Gets the transformed data region X value. More...
k64f | GoSetup_TransformedDataRegionY (GoSetup setup, GoRole role)
| Gets the transformed data region Y value. More...
k64f | GoSetup_TransformedDataRegionZ (GoSetup setup, GoRole role)
| Gets the transformed data region Z value. More...
k32u | GoSetup_TriggerBurstCount (GoSetup setup)
| This API is experimental and may change in a future release Gets the trigger burst count. More...
kBool | GoSetup_TriggerBurstCountUsed (GoSetup setup)
| This API is experimental and may change in a future release Gets the trigger burst used value. More...
kBool | GoSetup_TriggerBurstEnabled (GoSetup setup)
| This API is experimental and may change in a future release Gets the trigger burst enabled state. More...
kBool | GoSetup_TriggerBurstEnabledUsed (GoSetup setup)
| This API is experimental and may change in a future release Gets the trigger burst enabled state. More...
k64f | GoSetup_TriggerDelay (GoSetup setup)
| Gets the trigger delay. More...
k64f | GoSetup_TriggerDelayLimitMax (GoSetup setup)
| Reports the maximum trigger delay, based on current settings. More...
k64f | GoSetup_TriggerDelayLimitMin (GoSetup setup)
| Reports the minimum trigger delay, based on current settings. More...
k32s | GoSetup_TriggerExternalInputIndex (GoSetup setup)
| Gets the external input index to trigger profile/surface capturing. More...
GoAlignmentTarget | GoSetup_TriggerExternalInputIndexOptionAt (GoSetup setup, kSize index)
| Gets the external input trigger option at the given index. More...
kSize | GoSetup_TriggerExternalInputIndexOptionCount (GoSetup setup)
| Gets the count of available external input trigger index options. More...
kBool | GoSetup_TriggerExternalInputIndexUsed (GoSetup setup)
| Gets the flag indicating whether the external input trigger is being used. More...
kBool | GoSetup_TriggerGateEnabled (GoSetup setup)
| Reports whether the trigger gate feature is currently enabled. More...
kBool | GoSetup_TriggerGateEnabledSystemValue (GoSetup setup)
| Reports the trigger gate enabled system value. More...
kBool | GoSetup_TriggerGateEnabledUsed (GoSetup setup)
| Gets the system value representing whether or not the user specified trigger gate enabled setting is being used at the moment. More...
GoTrigger | GoSetup_TriggerSource (GoSetup setup)
| Gets the trigger source for profile triggering. More...
GoAlignmentTarget | GoSetup_TriggerSourceOptionAt (GoSetup setup, kSize index)
| Gets the trigger source option at the given index. More...
kSize | GoSetup_TriggerSourceOptionCount (GoSetup setup)
| Gets the count of available trigger source options. More...
GoTriggerUnits | GoSetup_TriggerUnit (GoSetup setup)
| Gets the system trigger units. More...
k32u | GoSetup_XSpacingCount (GoSetup setup, GoRole role)
| Gets the X spacing count. More...
k32u | GoSetup_XSubsampling (GoSetup setup, GoRole role)
| Gets the current x-resolution divider. More...
k32u | GoSetup_XSubsamplingOptionAt (GoSetup setup, GoRole role, kSize index)
| Gets the x-resolution option at the specified index. More...
kSize | GoSetup_XSubsamplingOptionCount (GoSetup setup, GoRole role)
| Gets the count of valid x-resolution options. More...
k32u | GoSetup_YSpacingCount (GoSetup setup, GoRole role)
| Gets the Y spacing count. More...
k32u | GoSetup_ZSubsampling (GoSetup setup, GoRole role)
| Gets the current z-resolution divider. More...
k32u | GoSetup_ZSubsamplingOptionAt (GoSetup setup, GoRole role, kSize index)
| Gets the z-resolution option at the specified index. More...
kSize | GoSetup_ZSubsamplingOptionCount (GoSetup setup, GoRole role)
| Gets the count of valid z-resolution options. More...

The documentation for this class was generated from the following files:

- GoSetup.h
- GoSensor.h